Summary:	KDE Frameworks 5 calendar support module
Name:		calendarsupport
Version:	17.08.2
Release:	1
License:	LGPLv2.1+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	boost-devel
BuildRequires:	kf5akonadi-devel
BuildRequires:	kf5akonadicalendar-devel
BuildRequires:	kf5akonadimime-devel
BuildRequires:	kf5calendarcore-devel
BuildRequires:	kf5calendarutils-devel
BuildRequires:	kf5codecs-devel
BuildRequires:	kf5holidays-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5identitymanagement-devel
BuildRequires:	kf5kdepimdbusinterfaces-devel
BuildRequires:	kf5mime-devel
BuildRequires:	kf5pimcommon-devel
BuildRequires:	sasl-devel
BuildRequires:	pkgconfig(libical)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5UiTools)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
KDE Frameworks 5 calendar support module.

%files
%{_kde5_servicetypes}/calendarplugin.desktop
%{_kde5_sysconfdir}/xdg/calendarsupport.categories
%{_kde5_sysconfdir}/xdg/calendarsupport.renamecategories

#----------------------------------------------------------------------------

%package i18n
Summary:	KDE Frameworks 5 calendar support library translations
Group:		System/Internationalization
Conflicts:	kde5-l10n < 17.04
BuildArch:	noarch

%description i18n
KDE Frameworks 5 calendar support library translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5calendarsupport_major 5
%define libkf5calendarsupport %mklibname kf5calendarsupport %{kf5calendarsupport_major}

%package -n %{libkf5calendarsupport}
Summary:	KDE Frameworks 5 calendar support shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5calendarsupport}
KDE Frameworks 5 calendar support shared library.

%files -n %{libkf5calendarsupport}
%{_kde5_libdir}/libKF5CalendarSupport.so.%{kf5calendarsupport_major}*

#----------------------------------------------------------------------------

%define devkf5calendarsupport %mklibname kf5calendarsupport -d

%package -n %{devkf5calendarsupport}
Summary:	Development files for KDE Frameworks 5 calendar support module
Group:		Development/KDE and Qt
Requires:	%{libkf5calendarsupport} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5calendarsupport-devel = %{version}

%description -n %{devkf5calendarsupport}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5calendarsupport}
%{_kde5_includedir}/KF5/CalendarSupport
%{_kde5_includedir}/KF5/calendarsupport
%{_kde5_includedir}/KF5/calendarsupport_version.h
%{_kde5_libdir}/cmake/KF5CalendarSupport
%{_kde5_libdir}/libKF5CalendarSupport.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

%find_lang %{name} --with-kde
%kf5locales_fix %{name}.lang

%changelog

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.08.2-1
- (937812d) New version 17.08.2


